
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: beh_error.c						*/
/* date		: Oct 30 1995						*/
/* version	: v109							*/
/* authors	: Pirouz BAZARGAN SABET					*/
/* content	: low-level function					*/
/*									*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>

/* ###--------------------------------------------------------------### */
/* function	: beh_error						*/
/* description	: print an errorr message				*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

unsigned int beh_error (code, str1)

int   code;
char *str1;

  {
  fprintf (stderr, "BEH : Error %d: ", code);

  switch (code)
    {
    case 1:
      fprintf (stderr, "combinatory loop: `%s`\n", str1);
      break;
    case 2:
      fprintf (stderr, "cannot make bdd of empty expression\n");
      break;
    case 3:
      fprintf (stderr, "cannot find terminal `%s`\n", str1);
      break;
    case 4:
      fprintf (stderr, "illegal use of STABLE attribute\n");
      break;
    case 5:
      fprintf (stderr, "cannot simplify internal signals\n");
      break;
    case 6:
      fprintf (stderr, "cannot make derivatives of expressions\n");
      break;

    case 40:
      fprintf (stderr, "signal `%s` never assigned\n", str1);
      break;
    case 41:
      fprintf (stderr, "`%s` has not an empty architecture\n", str1);
      break;
    case 68:
      fprintf (stderr, "port `%s` has unknwon type\n", str1);
      break;
    case 69:
      fprintf (stderr, "port `%s` has unknwon mode\n", str1);
      break;
    case 70:
      fprintf (stderr, "unknown time unit\n");
      break;

    case 100:
      fprintf (stderr, "cannot find `%s`\n", str1);
      break;
    case 107:
      fprintf (stderr, "cannot open result file\n");
      break;

    default:
      fprintf (stderr, "syntax error\n");
      break;
    }

  return (1);
  }
