/*------------------------------------------------------------\
|                                                             |
| Tool    :                   DREAL                           |
|                                                             |
| File    :                   Panel.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef DREAL_EDIT_PANEL
# define DREAL_EDIT_PANEL

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define DREAL_WINDOW_GLOBAL_X         690
# define DREAL_WINDOW_GLOBAL_Y         205

# define DREAL_EDIT_GLOBAL_X           890
# define DREAL_EDIT_GLOBAL_Y           205

# define DREAL_EDIT_SEARCH_X           890
# define DREAL_EDIT_SEARCH_Y           450
# define DREAL_EDIT_VIEW_SEARCH_X      790
# define DREAL_EDIT_VIEW_SEARCH_Y      450

# define DREAL_EDIT_SELECT_X           330 
# define DREAL_EDIT_SELECT_Y           280

# define DREAL_EDIT_IDENTIFY_X         330 
# define DREAL_EDIT_IDENTIFY_Y         280

# define DREAL_MODIFY_RECTANGLE_X      790
# define DREAL_MODIFY_RECTANGLE_Y      330

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackEditGlobalUndo();
  extern void CallbackEditGlobalRedo();
  extern void CallbackEditGlobalCopy();
  extern void CallbackEditGlobalMove();
  extern void CallbackEditGlobalDelete();
  extern void CallbackEditGlobalStretch();
  extern void CallbackEditGlobalModify();
  extern void CallbackEditGlobalIdentify();
  extern void CallbackEditCloseGlobal();

  extern void CallbackEditSearchRectangle();
  extern void CallbackEditCloseSearch();

  extern void CallbackEditCloseIdentify();

  extern void CallbackEditSelectList();
  extern void CallbackEditSelectAccept();
  extern void CallbackEditSelectCancel();

  extern void CallbackEditSearchViewContinue();
  extern void CallbackEditSearchViewAbort();

  extern void CallbackModifyRectangleLayer();
  extern void CallbackModifyRectangleName();
  extern void CallbackModifyRectangleApply();
  extern void CallbackModifyRectangleCancel();

  extern void DrealDisplayIdentifyMessage();
  extern void DrealDisplaySelectList();

# endif 
