/*
 * $Author: ac $
 * $Id: bflmat.c,v 1.1 1999/10/21 12:51:51 ac Exp $
 * $Date: 1999/10/21 12:51:51 $
 */
/*
 * $Log: bflmat.c,v $
 * Revision 1.1  1999/10/21 12:51:51  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include <stdio.h>
#include  BFL_H

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of private functions                   */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

bflmat_t *
bflmatnew(int row, int col)
{
	bflmat_t *mat;

	mat = (bflmat_t *)bflmemalloc(sizeof(bflmat_t));
	mat->row  = row;
	mat->col  = col;
	mat->data = bflalloc(row * col * sizeof(void *));
	return mat;
}

void
bflmatfree(bflmat_t *mat)
{
	free(mat->data);
	bflmemfree(mat, sizeof(bflmat_t));
}


void
bflmatprint(bflmat_t *mat, void (*print)(void *))
{
	int row, col;
	bflptr_t *pos = mat->data;
	for (row = 0; row < mat->row; ++row) {
		printf(row == 0 ? "[" : " ");
		for (col = 0; col < mat->col; ++col) {
			printf(col == 0 ? "[" : " ");
			print(*pos++);
		}
		printf("]\n");
	}
	printf("]\n");
}

