/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Message.h                        |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_MESSAGE
# define GRAAL_MESSAGE

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalPromptSelectPointIdentify();
  extern void GraalPromptSelectPointCopy();
  extern void GraalPromptSelectPointMove();
  extern void GraalPromptSelectPointDelete();
  extern void GraalPromptSelectPointStretch();
  extern void GraalPromptSelectPointModify();

  extern void GraalPromptSelectWindowIdentify();
  extern void GraalPromptSelectWindowCopy();
  extern void GraalPromptSelectWindowMove();
  extern void GraalPromptSelectWindowDelete();
  extern void GraalPromptSelectWindowStretch();
  extern void GraalPromptSelectWindowModify();

  extern void GraalPromptEditCopy();
  extern void GraalPromptEditMove();
  extern void GraalPromptEditStretch();

  extern void GraalPromptModifySegment();
  extern void GraalPromptModifyConnector();
  extern void GraalPromptModifyTransistor();
  extern void GraalPromptModifyReference();
  extern void GraalPromptModifyVia();

# endif 
