/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                 GMT101.h                          |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_GMT
# define GRAAL_GMT 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern GraalMenuItem  GraalToolsMenu[];
  extern GraalPanelItem GraalToolsGlobalPanel;
  extern GraalPanelItem GraalToolsMessagePanel;
  extern GraalPanelItem GraalToolsDrucPanel;
  extern GraalPanelItem GraalToolsHierarchyPanel;

  extern int GraalToolsGlobalDefaultValues[ 5 ];
  extern int GraalToolsMessageDefaultValues[ 5 ];
  extern int GraalToolsDrucDefaultValues[ 5 ];
  extern int GraalToolsHierarchyDefaultValues[ 5 ];


/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalToolsPeek();
  extern void GraalToolsEqui();
  extern void GraalToolsFlatten();
  extern void GraalToolsUnflatten();
  extern void GraalToolsRealFlatten();
  extern void GraalToolsHierarchyDown();

  extern void GraalDisplayToolsMessage();
  extern void GraalBuildToolsDialog();

# endif
