/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                   Color.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_COLOR
# define GRAAL_COLOR

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                             Pattern                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_PATTERN_WIDTH    16
# define GRAAL_PATTERN_HEIGHT   16
# define GRAAL_PATTERN_SQUARE   32
# define GRAAL_MAX_PATTERN      38

# define GRAAL_MAX_COLOR        ( RDS_ALL_LAYER + 7 )

# define GRAAL_LARGE_TEXT_FONT_NAME   "9x15"
# define GRAAL_MEDIUM_TEXT_FONT_NAME  "7x13"
# define GRAAL_SMALL_TEXT_FONT_NAME   "5x8"

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalInitializeGraphicContext();
  extern void GraalInitializeColors();
  extern void GraalChangeCursorContext();
  extern void GraalInitializeColorMap();

# endif 
