/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Window.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRM_WINDOW
# define GRM_WINDOW

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_DEFAULT_WINDOW_XMIN   -4000
# define GRAAL_DEFAULT_WINDOW_YMIN   -4000
# define GRAAL_DEFAULT_WINDOW_XMAX   16000
# define GRAAL_DEFAULT_WINDOW_YMAX   16000
# define GRAAL_DEFAULT_WINDOW_DX       100
# define GRAAL_DEFAULT_WINDOW_DY       100
# define GRAAL_DEFAULT_WINDOW_SIDE     200
 
# define GRAAL_WINDOW_BORDER          4000

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalInitializeWindow();
  extern void GraalCheckWindow();
  extern void GraalEraseWindow();

  extern void GraalInsertRectangle();
  extern void GraalEraseRectangle();
  extern void GraalEraseRecWin();
 
  extern void GraalViewWindow();

# endif 
