#ifndef __P
# if defined(__STDC__) ||  defined(__GNUC__)
#  define __P(x) x
# else
#  define __P(x) ()
# endif
#endif
/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Aut                           |
|                                                             |
| File    :                  auttest.h                        |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Author  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/

# ifndef AUT_TEST_H
# define AUT_TEST_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define AUT_TEST_MAX_COMMAND      14
# define AUT_TEST_BUFFER_SIZE     512

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/

  typedef struct command
  {
    char *NAME;
    void (*FUNCTION)();

  } command;

/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  static void TestCommandExit();
  static void TestCommandHelp();

  static void TestCommandAddElement();
  static void TestCommandViewElement();
  static void TestCommandDelElement();

  static void TestCommandAddElement2();
  static void TestCommandViewElement2();
  static void TestCommandDelElement2();

  static void TestCommandViewHash();
  static void TestCommandViewHash2();

  static void TestCommandReset();
  static void TestCommandReset2();

# endif
