/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Btr                           |
|                                                             |
| File    :                   btrfree.c                       |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Btrhor  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H
# include BTR_H

# include <stdio.h>
# include "btrfree.h"
# include "btrerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                   Btr Free Function Transition              |
|                                                             |
\------------------------------------------------------------*/

void freebtrtransfunc( TransFunc )

  btrtransfunc *TransFunc;
{
  autfreeblock( (char *)TransFunc );
}

/*------------------------------------------------------------\
|                                                             |
|                       Bdd Free Variable Function            |
|                                                             |
\------------------------------------------------------------*/

void freebtrvarfunc( VarFunc )

  btrvarfunc *VarFunc;
{
  autfreeblock( (char *)VarFunc );
}

/*------------------------------------------------------------\
|                                                             |
|                       Bdd Free Variable Order               |
|                                                             |
\------------------------------------------------------------*/

void freebtrvarorder( VarOrder )

  btrvarorder *VarOrder;
{
  autfreeblock( (char *)VarOrder );
}

/*------------------------------------------------------------\
|                                                             |
|                   Btr Free Relation Transition              |
|                                                             |
\------------------------------------------------------------*/

void freebtrtransrel( TransRel )

  btrtransrel *TransRel;
{
  autfreeblock( (char *)TransRel );
}

/*------------------------------------------------------------\
|                                                             |
|                       Bdd Free Variable Relation            |
|                                                             |
\------------------------------------------------------------*/

void freebtrvarrel( VarRel )

  btrvarrel *VarRel;
{
  autfreeblock( (char *)VarRel );
}

