/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Btr                           |
|                                                             |
| File    :                  btrresize.c                      |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Btrhor  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H
# include BTR_H

# include <stdio.h>
# include "btrresize.h"
# include "btrerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    Btr Resize Variable Function             |
|                                                             |
\------------------------------------------------------------*/

btrvarfunc *resizebtrvarfunc( VarFunc, OldNum, NewNum )

  btrvarfunc *VarFunc;
  long        OldNum;
  long        NewNum;
{
  return( (btrvarfunc *)autresizeblock( (char *)VarFunc, 
                                        sizeof( btrvarfunc ) * OldNum,
                                        sizeof( btrvarfunc ) * NewNum ) );
}

/*------------------------------------------------------------\
|                                                             |
|                    Btr Resize Variable Order                |
|                                                             |
\------------------------------------------------------------*/

btrvarorder *resizebtrvarorder( VarOrder, OldNum, NewNum )

  btrvarorder  *VarOrder;
  long          OldNum;
  long          NewNum;
{
  return( (btrvarorder *)autresizeblock( (char *)VarOrder,
                                         sizeof( btrvarorder ) * OldNum,
                                         sizeof( btrvarorder ) * NewNum ) );
}

/*------------------------------------------------------------\
|                                                             |
|                    Btr Resize Variable Relation             |
|                                                             |
\------------------------------------------------------------*/

btrvarrel *resizebtrvarrel( VarRel, OldNum, NewNum )

  btrvarrel *VarRel;
  long       OldNum;
  long       NewNum;
{
  return( (btrvarrel *)autresizeblock( (char *)VarRel, 
                                        sizeof( btrvarrel ) * OldNum,
                                        sizeof( btrvarrel ) * NewNum ) );
}
