/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Scp                           |
|                                                             |
| File    :                   scpdel.c                        |
|                                                             |
| Date    :                   28.04.98                        |
|                                                             |
| Authors :               Picault  Stephane                   |
|                         Miramond   Benoit                   |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include SCL_H

# include <stdio.h>
# include "scp.h"
# include "scpdel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                      Scp Del Functions                      |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                        Scp Del Cell List                    |
|                                                             |
\------------------------------------------------------------*/

static void loc_delscpcel( HeadCell )
  
   scpcel_list *HeadCell;
{
  scpcel_list *ScanCell;
  scpcel_list *DelCell;

  ScanCell = HeadCell;
  
  while ( ScanCell != (scpcel_list *)0 )
  {
    DelCell  = ScanCell;
    ScanCell = ScanCell->NEXT;
    
    freescpcel( DelCell );
  }
}

/*------------------------------------------------------------\
|                                                             |
|                      Scp Del Column List                    |
|                                                             |
\------------------------------------------------------------*/

void delscpcol( )
{
  scpcol_list *ScanColumn;
  scpcol_list *DelColumn;

  ScanColumn = HEAD_SCPCOL;
  
  while ( ScanColumn != (scpcol_list *)0 )
  {
    loc_delscpcel (ScanColumn->CELL);
    DelColumn  = ScanColumn;
    ScanColumn = ScanColumn->NEXT;
    
    freescpcol( DelColumn );
  }
  HEAD_SCPCOL = (scpcol_list *)0;
}
