/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VASY                          |
|                                                             |
| File    :                 vasy_array.h                      |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   13.12.99                        |
|                                                             |
\------------------------------------------------------------*/


# ifndef VASY_ARRAY_H
# define VASY_ARRAY_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define VASY_VBH_TYPE_ARRAY_MASK   0x1

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define IsVasyVbhTypeArray( T )    ((T)->FLAGS &   VASY_VBH_TYPE_ARRAY_MASK)
# define SetVasyVbhTypeArray( T )   ((T)->FLAGS |=  VASY_VBH_TYPE_ARRAY_MASK)
# define ClearVasyVbhTypeArray( T ) ((T)->FLAGS &= ~VASY_VBH_TYPE_ARRAY_MASK)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void VasyExpandArrayVbhFig();

# endif
