/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VASY                           |
|                                                             |
| File    :                 vasy_support.h                     |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   25.08.97                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef VASY_SUPPORT_H
# define VASY_SUPPORT_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                             Support                         |
|                                                             |
\------------------------------------------------------------*/

# define VASY_SUPPORT_ERROR       0
# define VASY_SUPPORT_LOGIC       1
# define VASY_SUPPORT_BOOLEAN     2
# define VASY_SUPPORT_ARITH       3

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void VasySupportCreateVpnTrans();
  extern void VasySupportMergeVpnTrans();
  extern void VasySupportResetVpnTrans();
  extern void VasySupportDestroyVpnTrans();

  extern void VasySupportVpnTrans();
  extern void VasySupportUsedVpnTrans();

  extern chain_list *VasySupportVpnTransBitVex();
  extern chain_list *VasySupportVpnTransEventBitVex();

# endif
