/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VASY                          |
|                                                             |
| File    :                  vasy_synth.h                     |
|                                                             |
| Author  :                 Jacomme Ludovic                   |
|                                                             |
| Date    :                   25.08.97                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef VASY_SYNTH_H
# define VASY_SYNTH_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define VASY_TRANS_ASG_DEFINE_MASK    0x01

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define SetVasyVpnTransAsgDefine( T )   ((T)->FLAGS |=  VASY_TRANS_ASG_DEFINE_MASK)
# define ClearVasyVpnTransAsgDefine( T ) ((T)->FLAGS &= ~VASY_TRANS_ASG_DEFINE_MASK)
# define IsVasyVpnTransAsgDefine( T )    ((T)->FLAGS &   VASY_TRANS_ASG_DEFINE_MASK)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void VasySynthesisOneWaitVpnProc();
  extern void VasySynthesisMultiWaitVpnProc();
  extern void VasySynthesisCombinatorialVpnProc();
  extern void VasySynthesisVpnDecl();

# endif
