/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VVH                           |
|                                                             |
| File    :                  vvh_parse.c                      |
|                                                             |
| Author  :                 Jacomme Ludovic                   |
|                                                             |
| Date    :                   01.01.95                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include VEX_H
# include VPN_H
# include VBH_H
# include VBL_H

# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# include "vvh_error.h"
# include "vvh_vbh2vpn.h"
# include "vvh_parse.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                        vhdlloadvpnfig                       |
|                                                             |
\------------------------------------------------------------*/

extern char *VPN_IN;

void vhdlloadvpnfig( VpnFigure, FigureName, Reduced )

  vpnfig_list *VpnFigure;
  char        *FigureName;
  int          Reduced;
{
  vbfig_list *VbhFigure;

  VbhFigure = getvbfig( FigureName, VPN_IN );
  VvhVbh2Vpn( VbhFigure, VpnFigure, Reduced );
  vbh_frevbfig( VbhFigure );
}
