/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XFSM                           |
|                                                             |
| File    :                  Object.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFS_OBJECT_H
# define XFS_OBJECT_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XFSM_COORD( P )        (((xfsmcoord *)((P)->USER))        )
# define XFSM_COORD_X( P )      (((xfsmcoord *)((P)->USER))->X     )
# define XFSM_COORD_Y( P )      (((xfsmcoord *)((P)->USER))->Y     )
# define XFSM_COORD_OBJECT( P ) (((xfsmcoord *)((P)->USER))->OBJECT)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/

   typedef struct xfsmcoord
   {
     xfsmobj_list *OBJECT;
     long          X;
     long          Y;

   } xfsmcoord;

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

# endif 
