/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XFSM                           |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H
# include FSM_H
# include XSB_H
# include XFS_H
# include XMX_H
# include XTB_H
# include XME_H
# include "XME_edit.h"
# include "XME_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    XfsmPromptEditIdentify                   |
|                                                             |
\------------------------------------------------------------*/

void XfsmPromptEditIdentify()

{
  autbegin();

  XfsmDisplayMessage( XFSM_MESSAGE_MODE  , "Identify" );
  XfsmDisplayMessage( XFSM_MESSAGE_INFO  , "Select object" );
  XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter select point" );

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XfsmPromptEditConnected                  |
|                                                             |
\------------------------------------------------------------*/

void XfsmPromptEditConnected()

{
  autbegin();

  XfsmDisplayMessage( XFSM_MESSAGE_MODE  , "Connected" );
  XfsmDisplayMessage( XFSM_MESSAGE_INFO  , "Select object" );
  XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter select point" );

  autend();
}
