/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                           |
|                                                             |
| File    :                   XMS.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFSM_XMS
# define XFSM_XMS

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern XfsmMenuItem  XfsmSetupMenu[];
  extern XfsmPanelItem XfsmSetupInformationsPanel;

  extern int XfsmSetupInformationsDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackSetupLoadConfig();
  extern void CallbackSetupSaveConfig();
  extern void CallbackSetupDefaultConfig();
  extern void CallbackSetupInformations();

  extern void XfsmLoadConfig();
  extern void XfsmLoadTopLevelConfig();

# endif
