/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                            |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H
# include FSM_H
# include XSB_H
# include XFS_H
# include XMX_H
# include XTB_H
# include XMV_H
# include "XMV_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       XfsmPromptZoomIn                     |
|                                                             |
\------------------------------------------------------------*/

void XfsmPromptZoomIn()

{
  autbegin();

  XfsmDisplayMessage( XFSM_MESSAGE_MODE, "Zoom In" );
  XfsmDisplayMessage( XFSM_MESSAGE_INFO, "Select window" );

  switch ( XfsmCountEventZoom )
  {
    case 0 : 

      XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter first corner" );

    break;

    case 1 :

      XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter second corner" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                       XfsmPromptZoomPan                    |
|                                                             |
\------------------------------------------------------------*/

void XfsmPromptZoomPan()

{
  autbegin();

  XfsmDisplayMessage( XFSM_MESSAGE_MODE, "Zoom Pan" );
  XfsmDisplayMessage( XFSM_MESSAGE_INFO, "Select line"  );

  switch ( XfsmCountEventZoom )
  {
    case 0 : 

      XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter source point" );

    break;

    case 1 : 

      XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter target point" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XfsmPromptZoomCenter                    |
|                                                             |
\------------------------------------------------------------*/

void XfsmPromptZoomCenter()

{
  autbegin();

  XfsmDisplayMessage( XFSM_MESSAGE_MODE, "Zoom Center" );
  XfsmDisplayMessage( XFSM_MESSAGE_INFO, "Select point" );
  XfsmDisplayMessage( XFSM_MESSAGE_PROMPT, "Enter center point" );

  autend();
}

