/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                            |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <string.h>
# include <Xm/Xm.h>
# include <Xm/FileSB.h>
# include <Xm/SelectioB.h>
# include <Xm/PushBG.h>

# include MUT_H
# include AUT_H
# include PAT_H
# include XSB_H
# include XTB_H
# include XPT_H
# include XMS_H

# include "XMS_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Panel                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    Panel Informations                       |
|                                                             |
\------------------------------------------------------------*/

   static char *XpatPanelInformationsButtonName[] =

   {
     "Text",
     "Close"
   };

 XpatPanelButtonItem XpatSetupInformationsButton[] =

         {
           {
             &XpatPanelInformationsButtonName[0],
             "Nothing", NULL, 0, 0,
             NULL,
             NULL,
              0, 0,
              8, 9,
             NULL,
             (XtPointer)NULL,
             (Widget)NULL
           }
           ,
           {
             &XpatPanelInformationsButtonName[1],
             NULL, NULL, 0, 0,
             NULL,
             NULL,
             3, 9,
             2, 1,
             XpatExitDialogCallback,
             (XtPointer)NULL,
             (Widget)NULL
           }
           ,
           NULL
         };

   XpatPanelItem XpatSetupInformationsPanel =

         {
           "Informations",
           1,
           0,
           XPAT_SETUP_INFORMATIONS_X,
           XPAT_SETUP_INFORMATIONS_Y,
           360,
           250,
           8,
           10,
           (Widget)NULL,
           (Widget)NULL,
           (Widget)NULL,
           (Widget)NULL,
           XpatSetupInformationsButton
         };

   int XpatSetupInformationsDefaultValues[ 5 ] =

         {
           XPAT_SETUP_INFORMATIONS_X,
           XPAT_SETUP_INFORMATIONS_Y,
           360, 250, 0
         };

/*------------------------------------------------------------\
|                                                             |
|                Callback For Informations                    |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                   XpatDisplayInformations                  |
|                                                             |
\------------------------------------------------------------*/

void XpatDisplayInformations()

{
  char *Message;

  autbegin();

  Message = XpatGetInformations();

  XmTextSetString( XpatSetupInformationsButton[0].BUTTON, Message );

  XpatEnterPanel( &XpatSetupInformationsPanel );

  XpatLimitedLoop( XpatSetupInformationsPanel.PANEL );

  XpatExitPanel( &XpatSetupInformationsPanel );

  autend();
}
