/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                           |
|                                                             |
| File    :                  Dialog.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_VIEW_DIALOG
# define XPAT_VIEW_DIALOG

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern XpatDialogItem XpatViewZoomSetDialog;
  extern XpatDialogItem XpatViewZoomGotoDialog;
  extern XpatDialogItem XpatViewMoveSetDialog;
  extern XpatDialogItem XpatViewGridXDialog;
  extern XpatDialogItem XpatViewGridYDialog;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Callback View Dialog                  |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackViewZoomGotoOk();
  extern void CallbackViewZoomGotoCancel();
  extern void CallbackViewZoomSetOk();
  extern void CallbackViewZoomSetCancel();
  extern void CallbackViewMoveSetOk();
  extern void CallbackViewMoveSetCancel();
  extern void CallbackViewGridXOk();
  extern void CallbackViewGridXCancel();
  extern void CallbackViewGridYOk();
  extern void CallbackViewGridYCancel();

# endif 
