/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                           |
|                                                             |
| File    :                   Map.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_MAP
# define XPAT_MAP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XPAT_B1UP   0
# define XPAT_B2UP   1
# define XPAT_B3UP   2

# define XPAT_VIEW_MAP_X        25
# define XPAT_VIEW_MAP_Y       520

# define XPAT_DEFAULT_MAP_X      0
# define XPAT_DEFAULT_MAP_Y      0
# define XPAT_DEFAULT_MAP_DX    40
# define XPAT_DEFAULT_MAP_DY    40

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
 
  extern Widget XpatMapPanel;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XpatComputeUnitMap();
  extern void XpatInitializeUnitMap();
  extern void XpatDisplayUnitMap();

  extern void XpatEnterMapPanel();
  extern void XpatClearMapWindow();
  extern void XpatResizeMapWindow();
  extern void XpatRefreshMapWindow();
  extern void XpatInitializeMapWindow();

  extern void CallbackCloseMap();
  extern void CallbackMapCompute();
  extern void CallbackMapResize();
  extern void CallbackMapExpose();
  extern void CallbackMapEvent();

# endif 
