/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XSCH                            |
|                                                             |
| File    :                   XME.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XSCH_XME
# define XSCH_XME 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern XschMenuItem  XschEditMenu[];

  extern XschPanelItem XschEditSearchViewPanel;
  extern XschPanelItem XschEditSelectPanel;
  extern XschPanelItem XschEditIdentifyPanel;

  extern int XschEditSearchViewDefaultValues[ 5 ];
  extern int XschEditIdentifyDefaultValues[ 5 ];
  extern int XschEditSelectDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XschBuildEditDialog();

  extern void XschEditSearch();
  extern void XschEditIdentify();
  extern void XschEditConnected();
  extern void XschEditUnselectAll();

  extern void XschDisplayEditIdentify();

# endif
