/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XSCH                           |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include MLO_H
# include SCL_H
# include XSB_H
# include XSC_H
# include XMX_H
# include XTB_H
# include XME_H
# include "XME_edit.h"
# include "XME_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    XschPromptEditIdentify                   |
|                                                             |
\------------------------------------------------------------*/

void XschPromptEditIdentify()

{
  autbegin();

  XschDisplayMessage( XSCH_MESSAGE_MODE  , "Identify" );
  XschDisplayMessage( XSCH_MESSAGE_INFO  , "Select object" );
  XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter select point" );

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XschPromptEditConnected                  |
|                                                             |
\------------------------------------------------------------*/

void XschPromptEditConnected()

{
  autbegin();

  XschDisplayMessage( XSCH_MESSAGE_MODE  , "Connected" );
  XschDisplayMessage( XSCH_MESSAGE_INFO  , "Select object" );
  XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter select point" );

  autend();
}
