/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                            |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <string.h>
# include <Xm/Xm.h>
# include <Xm/FileSB.h>
# include <Xm/Text.h>
# include <Xm/SelectioB.h>
# include <Xm/PushBG.h>

# include MUT_H
# include AUT_H
# include VEX_H
# include VPN_H
# include XSB_H
# include XVP_H
# include XMX_H
# include XTB_H
# include XMT_H

# include "XMT_panel.h"
# include "XMT_message.h"
# include "XMT_dialog.h"
# include "XMT_tools.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Panel Message                         |
|                                                             |
\------------------------------------------------------------*/

   static char *XvpnPanelMessageButtonName[] =

   {
     "Text",
     "Close"
   };

 XvpnPanelButtonItem XvpnToolsMessageButton[] =

         {
           {
             &XvpnPanelMessageButtonName[0],
             "Nothing", NULL, 0, 0,
             NULL,
             NULL,
              0, 0,
              8, 9,
             NULL,
             (XtPointer)NULL,
             (Widget)NULL
           }
           ,
           {
             &XvpnPanelMessageButtonName[1],
             NULL, NULL, 0, 0,
             NULL,
             NULL,
             3, 9,
             2, 1,
             CallbackToolsCloseMessage,
             (XtPointer)NULL,
             (Widget)NULL
           }
           ,
           { NULL }
         };

   XvpnPanelItem XvpnToolsMessagePanel =

         {
           "Message",
           1,
           0,
           XVPN_TOOLS_MESSAGE_X,
           XVPN_TOOLS_MESSAGE_Y,
           360,
           250,
           8,
           10,
           (Widget)NULL,
           (Widget)NULL,
           (Widget)NULL,
           (Widget)NULL,
           XvpnToolsMessageButton
         };

   int XvpnToolsMessageDefaultValues[ 5 ] =

         {
           XVPN_TOOLS_MESSAGE_X,
           XVPN_TOOLS_MESSAGE_Y,
           360, 250, 0
         };

/*------------------------------------------------------------\
|                                                             |
|                     Callback For Message                    |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    CallbackToolsCloseMessage                |
|                                                             |
\------------------------------------------------------------*/

void CallbackToolsCloseMessage( MyWidget, ClientData, CallData )

     Widget  MyWidget;
     caddr_t ClientData;
     caddr_t CallData;
{
  autbegin();

  XvpnExitPanel( &XvpnToolsMessagePanel );

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                   XvpnDisplayToolsMessage                   |
|                                                             |
\------------------------------------------------------------*/

void XvpnDisplayToolsMessage()
{
  char *Message;

  autbegin();

  Message = XvpnGetErrorMessage();

  if ( Message != (char *)NULL )
  {
    XmTextSetString( XvpnToolsMessageButton[0].BUTTON, Message );

    XvpnEnterPanel( &XvpnToolsMessagePanel );
  }
  else
  {
    XmTextSetString( XvpnToolsMessageButton[0].BUTTON, ""      );
  }

  autend();
}
