/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                           |
|                                                             |
| File    :                  Cursor.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_CURSOR
# define XVPN_CURSOR

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XVPN_MAX_CURSOR_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern Position XvpnCursorX;
  extern Position XvpnCursorY;
  extern Position XvpnCursorSaveX;
  extern Position XvpnCursorSaveY;
  extern short    XvpnCursorSaved;
  extern short    XvpnCursorInside;
  extern long     XvpnLambdaCursorX;
  extern long     XvpnLambdaCursorY;

  extern long     XvpnPixelCursorX;
  extern long     XvpnPixelCursorY;

  extern long     XvpnPixelCursorX1;
  extern long     XvpnPixelCursorY1;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XvpnComputeCursor();
  extern void XvpnChangeCursorType();
  extern void XvpnPointCursor();
  extern void XvpnResetCursor();
  extern void XvpnDisplayCoordinates();
  
# endif 
