/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* ###--------------------------------------------------------------### */
/* file		: vh_asimut.h						*/
/* date		: Nov 16 1995						*/
/* version	: v2.01							*/
/* author	: VUONG H.N.						*/
/* content	: declaration of functions and global variables used by	*/
/*		  the simulator						*/
/* ###--------------------------------------------------------------### */

extern struct lofig      *VHS_LOFPNT ;
extern struct lkdfig     *VHL_HEDLKF ;
extern struct ptype      *VHX_EXECUTE [256];
extern unsigned char      VHX_LEVEL  ;
extern struct chain      *VHX_SIGUPD ;
extern struct chain      *VHX_BUSUPD ;
extern struct chain      *VHX_BUXUPD ;
extern struct chain      *VHX_REGUPD ;
extern struct chain      *VHX_AUXUPD ;

extern int                vhl_linker       ();
extern int                vhl_restor       ();
extern struct lofig      *vhl_makgst       ();
extern void               vhx_redpat       ();
extern void               vhx_savall       ();
extern char               vhx_initfig      ();
extern void               vhx_inireg       ();
extern void               vhx_core         ();
extern void               beh_freabl       ();
extern char              *getenv           ();
extern int                vhu_error        ();
extern char              *vhu_avers        ();
extern void            ( *vhl_iscmodel ()) ();
