/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
/* 10/26/95 Cone Netlist Structure variables: cnsv.c                          */

#include"cnsall.h"

/* CNS environment variables */

char           *CNS_VERSION;
int             CNS_TRACE_MODE;
int             CNS_DEBUG_MODE;
int             CNS_VIEW_LEVEL;
char           *CNS_TECHNO;
int             CNS_POWERNUM;
int             CNS_MAXLINKNUM;


/* CNS structure variables */

cnsfig_list    *CNS_HEADCNSFIG;


/* CNS connector names */

char           *CNS_VDDNAME;
char           *CNS_GNDNAME;
char           *CNS_VSSNAME;
char           *CNS_GRIDNAME;
char           *CNS_SOURCENAME;
char           *CNS_DRAINNAME;
char           *CNS_BULKNAME;


/* CNS structure debug variables */

int             CNS_DEBUG_LEVEL;
int             CNS_LC_VIEW;
int             CNS_LT_VIEW;
int             CNS_CF_VIEW;
int             CNS_CE_VIEW;
int             CNS_IC_VIEW;
int             CNS_OC_VIEW;
int             CNS_BH_VIEW;
int             CNS_LK_VIEW;
