/*------------------------------------------------------------\
|                                                             |
| Tool    :                   DREAL                           |
|                                                             |
| File    :                  Message.h                        |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef DREAL_MESSAGE
# define DREAL_MESSAGE

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void DrealPromptSelectPointIdentify();
  extern void DrealPromptSelectPointCopy();
  extern void DrealPromptSelectPointMove();
  extern void DrealPromptSelectPointDelete();
  extern void DrealPromptSelectPointStretch();
  extern void DrealPromptSelectPointModify();

  extern void DrealPromptSelectWindowIdentify();
  extern void DrealPromptSelectWindowCopy();
  extern void DrealPromptSelectWindowMove();
  extern void DrealPromptSelectWindowDelete();
  extern void DrealPromptSelectWindowModify();

  extern void DrealPromptEditCopy();
  extern void DrealPromptEditMove();
  extern void DrealPromptEditStretch();

  extern void DrealPromptModifyRectangle();

# endif 
