/*------------------------------------------------------------\
|                                                             |
| Tool    :                   DREAL                           |
|                                                             |
| File    :                  Dialog.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef DREAL_VIEW_DIALOG
# define DREAL_VIEW_DIALOG

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern DrealDialogItem DrealViewZoomSetDialog;
  extern DrealDialogItem DrealViewZoomGotoDialog;
  extern DrealDialogItem DrealViewMoveSetDialog;
  extern DrealDialogItem DrealViewGridXDialog;
  extern DrealDialogItem DrealViewGridYDialog;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Callback View Dialog                  |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackViewZoomGotoOk();
  extern void CallbackViewZoomGotoCancel();
  extern void CallbackViewZoomSetOk();
  extern void CallbackViewZoomSetCancel();
  extern void CallbackViewMoveSetOk();
  extern void CallbackViewMoveSetCancel();
  extern void CallbackViewGridXOk();
  extern void CallbackViewGridXCancel();
  extern void CallbackViewGridYOk();
  extern void CallbackViewGridYCancel();

# endif 
