/*
 * $Author: ac $
 * $Id: bflstring.c,v 1.2 1999/10/21 12:51:53 ac Exp $
 * $Date: 1999/10/21 12:51:53 $
 */
/*
 * $Log: bflstring.c,v $
 * Revision 1.2  1999/10/21 12:51:53  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:38  alliance
 * fpmap import
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include <string.h>
#include  BFL_H

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

char *
#ifdef __STDC__
bflstrdup(const char *s)
#else
bflstrdup(s)
    char *s;

#endif
{
    char *dup;

    if ((dup = strdup(s)) == NULL)
	bflsyserror(1, NULL);
    return dup;
}

char *
#ifdef __STDC__
bflstrcat(char *str1, const char *str2)
#else
bflstrcat(str1, str2)
    char *str1;
    char *str2;

#endif
{
    bflsize_t len;
    char *str;

    len = strlen(str1) + strlen(str2) + 1;
    str = (char *) bflalloc(len);
    strcpy(str, str1);
    strcat(str, str2);
    return str;
}

char *
#ifdef __STDC__
bflstrncat(char *dest, const char *src, bflsize_t n)
#else
bflstrncat(dest, src, n)
    char *dest;
    char *src;
    bflsize_t n;

#endif
{
    bflsize_t len;

    len = strlen(dest) + n + 1;
    dest = (char *) bflrealloc(dest, len);
    strncat(dest, src, n);
    return dest;
}
