/*
 * $Author: ac $
 * $Id: testchrono.c,v 1.1 1999/10/21 12:51:54 ac Exp $
 * $Date: 1999/10/21 12:51:54 $
 */
/*
 * $Log: testchrono.c,v $
 * Revision 1.1  1999/10/21 12:51:54  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

#include <stdio.h>
#include  BFL_H

int
main(int argc, char **argv)
{
	bflchrono_t *chrono;
	bfltime_t time;
	int i, j = 0;

	chrono = bflchrononew();
	
	for (i = 0; i < 100000000; i += 2) {
		if (i == 100000000 / 2)
			printf(" + lap = %s\n", bflchronostring(bflchronolap(chrono)));
		j += i;
	}

	time = bflchronoelapsed( chrono );
	printf(" + elapsed = %s\n", bflchronostring(time));
	
	bflchronostop( chrono );
	time = bflchronoelapsed( chrono );
	printf(" + stop = %s\n", bflchronostring(time));
	
	printf(" + j = %d\n", j);
	return 0;
}
