/*
 * $Author: ac $
 * $Id: butis.c,v 1.2 1999/10/21 12:51:59 ac Exp $
 * $Date: 1999/10/21 12:51:59 $
 */
/*
 * $Log: butis.c,v $
 * Revision 1.2  1999/10/21 12:51:59  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:39  alliance
 * fpmap import
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include  MUT_H
#include  BFL_H
#include  AUT_H
#include  ABL_H
#include  BDD_H
#include  ABE_H
#include  BUT_H

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

int
but_is_bereg(befig_list *befig, char *name)
{
	bereg_list *bereg;

	for (bereg = befig->BEREG; bereg != NULL; bereg = bereg->NEXT)
		if (bereg->NAME == name)
			return 1;
	return 0;
}

int
but_is_berin(befig_list *befig, char *name)
{
	berin_list *berin;

	for (berin = befig->BERIN; berin != NULL; berin = berin->NEXT)
		if (berin->NAME == name)
			return 1;
	return 0;
}

int
but_is_beout(befig_list *befig, char *name)
{
	beout_list *beout;

	for (beout = befig->BEOUT; beout != NULL; beout = beout->NEXT)
		if (beout->NAME == name)
			return 1;
	return 0;
}

int
but_is_bebus(befig_list *befig, char *name)
{
	bebus_list *bebus;

	for (bebus = befig->BEBUS; bebus != NULL; bebus = bebus->NEXT)
		if (bebus->NAME == name)
			return 1;
	return 0;
}

int
but_is_beaux(befig_list *befig, char *name)
{
	beaux_list *beaux;

	for (beaux = befig->BEAUX; beaux != NULL; beaux = beaux->NEXT)
		if (beaux->NAME == name)
			return 1;
	return 0;
}

int
but_is_bebux(befig_list *befig, char *name)
{
	bebux_list *bebux;

	for (bebux = befig->BEBUX; bebux != NULL; bebux= bebux->NEXT)
		if (bebux->NAME == name)
			return 1;
	return 0;
}

int
but_is_bepor(befig_list *befig, char *name)
{
	bepor_list *bepor;

	for (bepor = befig->BEPOR; bepor != NULL; bepor = bepor->NEXT)
		if (bepor->NAME == name)
			return 1;
	return 0;
}

