/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                   Panel.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_CREATE_PANEL 
# define GRAAL_CREATE_PANEL 

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_CREATE_SEGMENT_X             790
# define GRAAL_CREATE_SEGMENT_Y             330
# define GRAAL_CREATE_VIA_X                 790
# define GRAAL_CREATE_VIA_Y                 330
# define GRAAL_CREATE_TRANSISTOR_X          790
# define GRAAL_CREATE_TRANSISTOR_Y          330
# define GRAAL_CREATE_CONNECTOR_X           790
# define GRAAL_CREATE_CONNECTOR_Y           330
# define GRAAL_CREATE_REFERENCE_X           790
# define GRAAL_CREATE_REFERENCE_Y           330
# define GRAAL_CREATE_INSTANCE_X            790
# define GRAAL_CREATE_INSTANCE_Y            330

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackChangeSegmentLayer();
  extern void CallbackChangeSegmentWidth();
  extern void CallbackChangeSegmentName();
  extern void CallbackChangeSegmentWire();
  extern void CallbackChangeSegmentClose();

  extern void CallbackChangeViaType();
  extern void CallbackChangeViaClose();

  extern void CallbackChangeTransistorType();
  extern void CallbackChangeTransistorWidth();
  extern void CallbackChangeTransistorName();
  extern void CallbackChangeTransistorWire();
  extern void CallbackChangeTransistorClose();

  extern void CallbackChangeConnectorLayer();
  extern void CallbackChangeConnectorWidth();
  extern void CallbackChangeConnectorOrient();
  extern void CallbackChangeConnectorClose();

  extern void CallbackChangeReferenceType();
  extern void CallbackChangeReferenceClose();

  extern void CallbackChangeInstanceSym();
  extern void CallbackChangeInstanceClose();

# endif 
