/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                   Event.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_EVENT
# define GRAAL_EVENT

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_B1DN          0
# define GRAAL_B3DN          1
# define GRAAL_MOTION        2
# define GRAAL_ENTER         3
# define GRAAL_LEAVE         4
                            
# define GRAAL_KEY_UP        5
# define GRAAL_KEY_DN        6
# define GRAAL_KEY_LEFT      7
# define GRAAL_KEY_RIGHT     8
                            
# define GRAAL_KEY_MORE      9
# define GRAAL_KEY_LESS     10
                            
# define GRAAL_KEY_FIT      11
# define GRAAL_KEY_REFRESH  12
# define GRAAL_KEY_UNZOOM   13
                            
# define GRAAL_KEY_ZOOM_IN  14
# define GRAAL_KEY_CENTER   15
# define GRAAL_KEY_PAN      16

# define GRAAL_KEY_DN_LAYER 17
# define GRAAL_KEY_UP_LAYER 18

# define GRAAL_MAX_EVENT_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
  
  extern void GraalInitializeEvent();
  extern void GraalDisplayEditMeasure();

# endif 
