/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                 Gsb Errors                        |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   28.03.95                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef GSB_ERROR
# define GSB_ERROR

/*------------------------------------------------------------\
|                                                             |
|                       Rpr Error Constants                   |
|                                                             |
\------------------------------------------------------------*/

# define  DEFINE_MISSING  0 
# define  TABLE_MISSING   1 
# define  LINE_EXPECTED   2
# define  UNKNOWN_DEFINE  3 
# define  NOT_DEFINED     4 
# define  TOO_SMAL        5
# define  MISSING_VALUE   6
# define  MISSING_NAME    7
# define  UNEXPECTED_LINE 8 
# define  UNEXPECTED_EOF  9 
# define  TOO_MANY_WORDS  10
# define  MISSING_TABLE   11
# define  OPEN_FILE       12
# define  UNKNOWN_TABLE   13
# define  SYNTAX_ERROR    14
# define  ILLEGAL_FLOAT   15

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

# endif
