
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: beh_error.c						*/
/* date		: Jun 13 1994						*/
/* version	: v107							*/
/* authors	: Pirouz BAZARGAN SABET					*/
/* content	: low-level function					*/
/*									*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>

/* ###--------------------------------------------------------------### */
/* function	: beh_error						*/
/* description	: print an errorr message				*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

int beh_error (code, str1)

int   code;
char *str1;

  {
  (void) fprintf (stderr, "BEH : Error %d :", code);

  switch (code)
    {
    case 1:
      (void) fprintf (stderr, "combinatory loop: `%s`\n", str1);
      break;
    case 2:
      (void) fprintf (stderr, "cannot make bdd of empty expression\n");
      break;
    case 3:
      (void) fprintf (stderr, "cannot find terminal `%s`\n", str1);
      break;
    case 4:
      (void) fprintf (stderr, "illegal use of STABLE attribute\n");
      break;
    case 5:
      (void) fprintf (stderr, "cannot simplify internal signals\n");
      break;

    case 40:
      (void) fprintf (stderr,"signal `%s` never assigned\n",str1);
      break;
    case 68:
      (void) fprintf (stderr,"port `%s` has unknwon type\n", str1);
      break;
    case 69:
      (void) fprintf (stderr,"port `%s` has unknwon mode\n", str1);
      break;

    case 100:
      (void) fprintf (stderr,"cannot find `%s`\n",str1);
      break;
    case 107:
      (void) fprintf (stderr,"cannot open result file\n");
      break;

    default:
      (void) fprintf (stderr, "syntax error\n");
      break;
    }

  return (1);
  }
