/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Abl                           |
|                                                             |
| File    :                  ablfree.c                        |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Author  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include ABL_H

# include <stdio.h>
# include <string.h>
# include "ablfree.h"
# include "ablerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     Abl Free Functions                      |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                        Abl Free Expr                        |
|                                                             |
\------------------------------------------------------------*/

void freeablexpr( Expr )

  ablexpr *Expr;
{
  ablexpr *ScanExpr;

  if ( Expr != (ablexpr *)0 )
  {
    if ( ABL_ATOM( Expr ) )
    {
      freechain( Expr );
    }
    else
    {
      ScanExpr = Expr;

      if ( ABL_CAR( Expr ) != (ablexpr *)0 )
      {
        ABL_CDR( ABL_CAR( Expr ) ) = (ablexpr *)0;

        freechain( ABL_CAR( Expr ) );
      }

      while ( ( ScanExpr = ABL_CDR( ScanExpr ) ) != (ablexpr *)0 )
      {
        freeablexpr( ABL_CAR( ScanExpr ) );
      }

      freechain( Expr );
    }
  }
}
