# include <stdio.h>

# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H

int main( argc, argv )

  int argc;
  char **argv;
{
  bddcircuit *BddCircuit;
  bddsystem  *BddSystem;

  mbkenv();
  autenv();
  ablenv();
  bddenv();

  BddSystem  = createbddsystem( 10, 1000, 3, 100000 );

  if ( argc > 1 )
  {
    BddCircuit = (bddcircuit *)undumpbddcircuit( BddSystem, argv[1] );
  }
  else
  {
    BddCircuit = createbddcircuit( "Hello", 3, 3, BddSystem );
  }

  testbddcircuit( BddCircuit );

  destroybddcircuit( BddCircuit );
  destroybddsystem( BddSystem   );

  return( 0 );
}
