
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: fbh_crtfbrin.c					*/
/* date		: Aug 24 1992						*/
/* version	: v102							*/
/* authors	: Pirouz BAZARGAN SABET					*/
/* content	: contains a specific function used to create a		*/
/*		  fbhaviour data structure				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include MUT_H 
#include AUT_H
#include ABL_H 
#include BDD_H
#include FVH_H

/* ###--------------------------------------------------------------### */
/* function	: fbh_crtfbrin						*/
/* description	: create an array of BETYPs from a list of BETYPs	*/
/* called func.	: namealloc, mbkalloc					*/
/* ###--------------------------------------------------------------### */

struct fbrin *fbh_crtfbrin (listfbrin)

struct fbrin *listfbrin;	/* pointer on the list of fbrins	*/

  {
  struct fbrin *lclfbrin = listfbrin;
  struct fbrin *ptfbrin  = 0;
  int           size     = 0;

  while (lclfbrin != 0)
    {
    lclfbrin = lclfbrin->NEXT;
    size++;
    }

  if (size != 0)
    {
    ptfbrin  = (struct fbrin *) mbkalloc (size * sizeof(struct fbrin));
    lclfbrin = ptfbrin;

    while (listfbrin != 0)
      {
      lclfbrin->NAME   = listfbrin->NAME;
      lclfbrin->NEXT   = lclfbrin + 1;

      listfbrin        = listfbrin->NEXT;
      lclfbrin++;
      }

    (lclfbrin - 1)->NEXT = 0;
    }

  return (ptfbrin);
  }
