/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Scp                           |
|                                                             |
| File    :                   scpadd.c                        |
|                                                             |
| Date    :                   28.04.98                        |
|                                                             |
| Authors :               Picault  Stephane                   |
|                         Miramond   Benoit                   |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include SCL_H

# include <stdio.h>
# include "scp.h"
# include "scpadd.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                      Scp Add Functions                      |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                        Sch Add Cell                         |
|                                                             |
\------------------------------------------------------------*/

scpcel_list *addscpcel( Column )

  scpcol_list *Column;
{
  scpcel_list *Cell;


  Cell = allocscpcel(); 

  Cell->COL = Column;

  Cell->NEXT = Column->CELL;
  
  Cell->PREV = NULL; 
  
  if ( Column->CELL != NULL )
  {
    Column->CELL->PREV = Cell;
  }
  else
  {
    Column->LAST_CELL = Cell;
  }

  Column->CELL = Cell;
  
  Column->NUMBER_CELL++;

  return( Cell );
}

scpcel_list *addschboxtoscpcel( SchBox, ScpCel)
schbox_list *SchBox;
scpcel_list *ScpCel;
{
    ScpCel->ROOT = SchBox;
    ScpCel->TYPE = SCP_CEL_BOX;

    SchBox->USER = (void *)ScpCel;

    return( ScpCel );
}

scpcel_list *addschcontoscpcel( SchCon, ScpCel)
schcon_list *SchCon;
scpcel_list *ScpCel;
{
    ScpCel->ROOT = SchCon;
    ScpCel->TYPE = SCP_CEL_CON;

    SchCon->USER = (void *)ScpCel;

    return( ScpCel );
}
/*------------------------------------------------------------\
|                                                             |
|                        Scp Add Column                       |
|                                                             |
\------------------------------------------------------------*/

scpcol_list *addscpcol( )

{
  scpcol_list *Column;

  Column = allocscpcol();

  Column->NEXT = HEAD_SCPCOL;
  HEAD_SCPCOL  = Column;

  return( Column );
}
