/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Scp                           |
|                                                             |
| File    :                  scpalloc.c                       |
|                                                             |
| Date    :                   04.03.98                        |
|                                                             |
| Author  :               Picault  Stephane                   |
|                         Miramond   Benoit                   |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include MLO_H
# include AUT_H
# include SCL_H

# include <stdio.h>
# include <string.h>
# include "scp.h"
# include "scpalloc.h"


/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Alloc Functions                       |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                        Scp Alloc Cel                        |
|                                                             |
\------------------------------------------------------------*/

scpcel_list *allocscpcel()
{
  return( (scpcel_list *)(autallocheap( sizeof( scpcel_list ) ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                        Scp Alloc Col                        |
|                                                             |
\------------------------------------------------------------*/

scpcol_list *allocscpcol()
{
  return( (scpcol_list *)(autallocheap( sizeof( scpcol_list ) ) ) );
}
