/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VASY                          |
|                                                             |
| File    :                vasy_drvvlog.h                     |
|                                                             |
| Authors :                Frdric Ptrot                    |
|           This file is a basic modification of vasy_drvsyn  |
|                    Modified by Ludovic Jacomme              |
|                                                             |
| Date    :                   25.08.97                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef VASY_DRVVLOG_H
# define VASY_DRVVLOG_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define VASY_VERILOG_SENS_NOEDGE      0
# define VASY_VERILOG_SENS_NEGEDGE     1
# define VASY_VERILOG_SENS_POSEDGE     2

/*------------------------------------------------------------\
|                                                             |
|                          Rtl Assign Sens                    |
|                                                             |
\------------------------------------------------------------*/

# define SetVasyRtlAsgVerilogSens( A, S )   ((A)->USER = (void *)(S))
# define GetVasyRtlAsgVerilogSens( A )      ((ptype_list *)(A)->USER)

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void VasyDriveVerilogRtlFig();

# endif
