/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VASY                           |
|                                                             |
| File    :                 vasy_elabo.h                       |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   25.08.97                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef VASY_ELABO_H
# define VASY_ELABO_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                             Tag                             |
|                                                             |
\------------------------------------------------------------*/

# define VASY_ELABORATE_TAG_MASK      (long)0x01

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define SetVasyElaborateTag( O )   ((O)->FLAGS |=  VASY_ELABORATE_TAG_MASK)
# define ClearVasyElaborateTag( O ) ((O)->FLAGS &= ~VASY_ELABORATE_TAG_MASK)
# define IsVasyElaborateTag( O )    ((O)->FLAGS &   VASY_ELABORATE_TAG_MASK)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/

  typedef struct vasyelab
  {
    char           *VALUE;
    unsigned short  WIDTH;
    unsigned short  SIGNED;

  } vasyelab;

/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void VasyElaborateVpnFig();

# endif
