/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Vex                           |
|                                                             |
| File    :                  vexalloc.c                       |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Author  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include VEX_H

# include <stdio.h>
# include <string.h>
# include <memory.h>
# include "vexalloc.h"
# include "vexerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     Vex Alloc Functions                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                        Vex Alloc Node                       |
|                                                             |
\------------------------------------------------------------*/

vexexpr *allocvexnode()
{
  return( (vexexpr *)autallocheap( sizeof( vexexpr ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                          Vex Copy Node                      |
|                                                             |
\------------------------------------------------------------*/

vexexpr *copyvexnode( Target, Source )

  vexexpr *Target;
  vexexpr *Source;
{
  memcpy( (char *)Target, (char *)Source, sizeof( vexexpr ) );

  return( Target );
}

/*------------------------------------------------------------\
|                                                             |
|                        Vex Duplicate Node                   |
|                                                             |
\------------------------------------------------------------*/

vexexpr *dupvexnode( Node )

  vexexpr *Node;
{
  vexexpr *DupNode;

  DupNode = (vexexpr *)autallocheap( sizeof( vexexpr ) );
  DupNode = copyvexnode( DupNode, Node );

  return( DupNode );
}

