/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                            |
|                                                             |
| File    :                   XME.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFSM_XME
# define XFSM_XME 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern XfsmMenuItem  XfsmEditMenu[];

  extern XfsmPanelItem XfsmEditSearchViewPanel;
  extern XfsmPanelItem XfsmEditSelectPanel;
  extern XfsmPanelItem XfsmEditIdentifyPanel;

  extern int XfsmEditSearchViewDefaultValues[ 5 ];
  extern int XfsmEditIdentifyDefaultValues[ 5 ];
  extern int XfsmEditSelectDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XfsmBuildEditDialog();

  extern void XfsmEditSearch();
  extern void XfsmEditIdentify();
  extern void XfsmEditConnected();
  extern void XfsmEditUnselectAll();

  extern void XfsmDisplayEditIdentify();

# endif
