/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                           |
|                                                             |
| File    :                   Map.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFSM_MAP
# define XFSM_MAP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XFSM_B1UP   0
# define XFSM_B2UP   1
# define XFSM_B3UP   2

# define XFSM_VIEW_MAP_X        25
# define XFSM_VIEW_MAP_Y       520

# define XFSM_DEFAULT_MAP_X      0
# define XFSM_DEFAULT_MAP_Y      0
# define XFSM_DEFAULT_MAP_DX    40
# define XFSM_DEFAULT_MAP_DY    40

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
 
  extern Widget XfsmMapPanel;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XfsmComputeUnitMap();
  extern void XfsmInitializeUnitMap();
  extern void XfsmDisplayUnitMap();

  extern void XfsmEnterMapPanel();
  extern void XfsmClearMapWindow();
  extern void XfsmResizeMapWindow();
  extern void XfsmRefreshMapWindow();
  extern void XfsmInitializeMapWindow();

  extern void CallbackCloseMap();
  extern void CallbackMapCompute();
  extern void CallbackMapResize();
  extern void CallbackMapExpose();
  extern void CallbackMapEvent();

# endif 
