/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                           |
|                                                             |
| File    :                  Cursor.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFSM_CURSOR
# define XFSM_CURSOR

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XFSM_MAX_CURSOR_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern Position XfsmCursorX;
  extern Position XfsmCursorY;
  extern Position XfsmCursorSaveX;
  extern Position XfsmCursorSaveY;
  extern char     XfsmCursorSaved;
  extern char     XfsmCursorInside;
  extern long     XfsmLambdaCursorX;
  extern long     XfsmLambdaCursorY;

  extern long     XfsmPixelCursorX;
  extern long     XfsmPixelCursorY;

  extern long     XfsmPixelCursorX1;
  extern long     XfsmPixelCursorY1;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XfsmComputeCursor();
  extern void XfsmChangeCursorType();
  extern void XfsmPointCursor();
  extern void XfsmResetCursor();
  extern void XfsmDisplayCoordinates();
  
# endif 
