/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XFSM                           |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushB.h>
# include <Xm/Form.h>
# include <Xm/Frame.h>
 
# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H
# include FSM_H
# include XSB_H
# include XTB_H
# include XMF_H
# include XME_H
# include XMV_H
# include XMT_H
# include XMS_H
# include XMH_H
# include XMX_H

# include "XMX_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     XfsmInitializePanel                     |
|                                                             |
\------------------------------------------------------------*/

void XfsmInitializePanel()

{
  autbegin();

  XfsmBuildPanel( XfsmMainWindow, &XfsmViewArrowsPanel        );
  XfsmBuildPanel( XfsmMainWindow, &XfsmViewZoomPanel          );
  XfsmBuildPanel( XfsmMainWindow, &XfsmViewGridPanel          );
  XfsmBuildPanel( XfsmMainWindow, &XfsmViewLayerPanel         );
  XfsmBuildPanel( XfsmMainWindow, &XfsmEditSearchViewPanel    );
  XfsmBuildPanel( XfsmMainWindow, &XfsmEditSelectPanel        );
  XfsmBuildPanel( XfsmMainWindow, &XfsmEditIdentifyPanel      );
  XfsmBuildPanel( XfsmMainWindow, &XfsmToolsMessagePanel      );
  XfsmBuildPanel( XfsmMainWindow, &XfsmSetupInformationsPanel );

  XfsmBuildPresentPanel();

  autend();
}
