/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                            |
|                                                             |
| File    :                   XME.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_XME
# define XPAT_XME 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern XpatMenuItem  XpatEditMenu[];

  extern XpatPanelItem XpatEditSearchViewPanel;
  extern XpatPanelItem XpatEditSelectPanel;
  extern XpatPanelItem XpatEditIdentifyPanel;

  extern int XpatEditSearchViewDefaultValues[ 5 ];
  extern int XpatEditIdentifyDefaultValues[ 5 ];
  extern int XpatEditSelectDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XpatBuildEditDialog();

  extern void XpatEditSearch();
  extern void XpatEditIdentify();
  extern void XpatEditConnected();
  extern void XpatEditAddCursor();
  extern void XpatEditDelCursor();

  extern void XpatEditUnselectAll();

  extern void XpatDisplayEditIdentify();

# endif
