/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                           |
|                                                             |
| File    :                    XMV.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_XMV
# define XPAT_XMV 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern char XpatFirstViewLayer;

/*------------------------------------------------------------\
|                                                             |
|                        Panel And Menu                       |
|                                                             |
\------------------------------------------------------------*/

  extern XpatMenuItem  XpatViewMenu[];
  extern XpatPanelItem XpatViewArrowsPanel;
  extern XpatPanelItem XpatViewZoomPanel;
  extern XpatPanelItem XpatViewGridPanel;
  extern XpatPanelItem XpatViewLayerPanel;
  extern XpatPanelItem XpatViewMapPanel;
 
  extern int  XpatPercentZoom;
  extern int  XpatPercentMoveX;
  extern int  XpatPercentMoveY;

  extern int  XpatViewArrowsDefaultValues[5];
  extern int  XpatViewZoomDefaultValues[5];
  extern int  XpatViewLayerDefaultValues[5];
  extern int  XpatViewGridDefaultValues[5];
  extern int  XpatViewMapDefaultValues[5];
  
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                           Values                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Callback                           |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Zoom                             |
|                                                             |
\------------------------------------------------------------*/

  extern void XpatComputeAndDisplayMap();
  extern void XpatInitializeZoom();
  extern void XpatBuildViewDialog();
  extern void XpatBuildPanelMap();
  extern void XpatInitializeMapEvent();

  extern void XpatZoomCenter();
  extern void XpatZoomRefresh();
  extern void XpatZoomIn();
  extern void XpatZoomPan();

  extern void XpatReScale();

  extern void XpatPromptZoomIn();
  extern void XpatPromptZoomPan();
  extern void XpatPromptZoomCenter();

# endif
