/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                           |
|                                                             |
| File    :                   Event.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_EVENT
# define XPAT_EVENT

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XPAT_B1DN         0
# define XPAT_B3DN         1
# define XPAT_MOTION       2
# define XPAT_ENTER        3
# define XPAT_LEAVE        4

# define XPAT_KEY_UP       5
# define XPAT_KEY_DN       6
# define XPAT_KEY_LEFT     7
# define XPAT_KEY_RIGHT    8

# define XPAT_KEY_MORE     9
# define XPAT_KEY_LESS    10

# define XPAT_KEY_FIT     11
# define XPAT_KEY_REFRESH 12
# define XPAT_KEY_UNZOOM  13

# define XPAT_KEY_ZOOM_IN 14
# define XPAT_KEY_CENTER  15
# define XPAT_KEY_PAN     16

# define XPAT_RESCALE_MORE 17
# define XPAT_RESCALE_LESS 18

# define XPAT_MAX_EVENT_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
  
  extern void XpatInitializeEvent();
  extern void XpatDisplayEditMeasure();

# endif 
