/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XPAT                           |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushB.h>
# include <Xm/Form.h>
# include <Xm/Frame.h>
 
# include MUT_H
# include AUT_H
# include PAT_H
# include XSB_H
# include XTB_H
# include XMF_H
# include XME_H
# include XMV_H
# include XMT_H
# include XMS_H
# include XMH_H
# include XMX_H

# include "XMX_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     XpatInitializePanel                     |
|                                                             |
\------------------------------------------------------------*/

void XpatInitializePanel()

{
  autbegin();

  XpatBuildPanel( XpatMainWindow, &XpatViewArrowsPanel        );
  XpatBuildPanel( XpatMainWindow, &XpatViewZoomPanel          );
  XpatBuildPanel( XpatMainWindow, &XpatViewGridPanel          );
  XpatBuildPanel( XpatMainWindow, &XpatViewLayerPanel         );
  XpatBuildPanel( XpatMainWindow, &XpatEditSearchViewPanel    );
  XpatBuildPanel( XpatMainWindow, &XpatEditSelectPanel        );
  XpatBuildPanel( XpatMainWindow, &XpatEditIdentifyPanel      );
  XpatBuildPanel( XpatMainWindow, &XpatToolsMessagePanel      );
  XpatBuildPanel( XpatMainWindow, &XpatSetupInformationsPanel );

  XpatBuildPresentPanel();

  autend();
}
