/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XSCH                           |
|                                                             |
| File    :                  Cursor.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XSCH_CURSOR
# define XSCH_CURSOR

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XSCH_MAX_CURSOR_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern Position XschCursorX;
  extern Position XschCursorY;
  extern Position XschCursorSaveX;
  extern Position XschCursorSaveY;
  extern int      XschCursorSaved;
  extern int      XschCursorInside;
  extern long     XschLambdaCursorX;
  extern long     XschLambdaCursorY;

  extern long     XschPixelCursorX;
  extern long     XschPixelCursorY;

  extern long     XschPixelCursorX1;
  extern long     XschPixelCursorY1;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XschComputeCursor();
  extern void XschChangeCursorType();
  extern void XschPointCursor();
  extern void XschResetCursor();
  extern void XschDisplayCoordinates();
  
# endif 
