/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                           |
|                                                             |
| File    :                   Event.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_EVENT
# define XVPN_EVENT

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XVPN_B1DN         0
# define XVPN_B3DN         1
# define XVPN_MOTION       2
# define XVPN_ENTER        3
# define XVPN_LEAVE        4

# define XVPN_KEY_UP       5
# define XVPN_KEY_DN       6
# define XVPN_KEY_LEFT     7
# define XVPN_KEY_RIGHT    8

# define XVPN_KEY_MORE     9
# define XVPN_KEY_LESS    10

# define XVPN_KEY_FIT     11
# define XVPN_KEY_REFRESH 12
# define XVPN_KEY_UNZOOM  13

# define XVPN_KEY_ZOOM_IN 14
# define XVPN_KEY_CENTER  15
# define XVPN_KEY_PAN     16

# define XVPN_MAX_EVENT_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
  
  extern void XvpnInitializeEvent();
  extern void XvpnDisplayEditMeasure();

# endif 
